<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F4F5F9"
    android:orientation="vertical">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#FDFDFD">

        <FrameLayout
            android:id="@+id/fl_top"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#FDFDFD"
            app:layout_constraintTop_toTopOf="parent">

            <FrameLayout
                android:id="@+id/fl_back"
                android:layout_width="50dp"
                android:layout_height="50dp"
                tools:ignore="UselessParent">

                <ImageView
                    android:layout_width="17dp"
                    android:layout_height="17dp"
                    android:layout_gravity="center"
                    android:src="@drawable/iv_return"
                    tools:ignore="ContentDescription" />
            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="Permission Manager"
                android:textColor="#000000"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <FrameLayout
                android:id="@+id/fl_filter"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_gravity="center_vertical|end"
                android:layout_marginStart="20dp"
                tools:ignore="UselessParent">

                <ImageView
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_gravity="center"
                    android:src="@drawable/saixuan"
                    tools:ignore="ContentDescription" />
            </FrameLayout>

        </FrameLayout>

        <ImageView
            android:layout_width="74dp"
            android:layout_height="74dp"
            android:layout_marginVertical="10dp"
            android:layout_marginEnd="20dp"
            android:src="@drawable/permissiontu"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/fl_top"
            tools:ignore="ContentDescription" />

        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="46dp"
            android:layout_height="46dp"
            android:layout_marginStart="15dp"
            android:layout_marginTop="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/fl_top"
            tools:ignore="ContentDescription" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="@id/iv_icon"
            app:layout_constraintStart_toEndOf="@id/iv_icon"
            app:layout_constraintTop_toTopOf="@id/iv_icon">

            <TextView
                android:id="@+id/tv_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="#000000"
                android:textSize="15sp"
                tools:text="Authenticator" />

            <TextView
                android:id="@+id/tv_desc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:textColor="#666666"
                android:textSize="12sp"
                tools:text="2 Sensitive permissions" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="8dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_sensitive"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@color/white">

                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="16dp"
                    android:src="@drawable/icon_s"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="8dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:text="Sensitive permissions"
                    android:textColor="#FCAD45"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tv_sensitive_number"
                    android:layout_width="50dp"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:textColor="#FCAD45"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:text="2" />

                <ImageView
                    android:id="@+id/iv_arrow_sensitive"
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="24dp"
                    android:src="@drawable/hxiala_x"
                    tools:ignore="ContentDescription" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="#EEEEEE" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sensitive"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:overScrollMode="never"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

            <LinearLayout
                android:id="@+id/ll_normal"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="8dp"
                android:background="@color/white">

                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="16dp"
                    android:src="@drawable/icon_n"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="8dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:text="Normal permissions"
                    android:textColor="#000000"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_normal_number"
                    android:layout_width="50dp"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:textColor="#000000"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:text="2" />

                <ImageView
                    android:id="@+id/iv_arrow_normal"
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="24dp"
                    android:src="@drawable/aa_xiala_x"
                    tools:ignore="ContentDescription" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="#EEEEEE" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_normal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:overScrollMode="never"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
        </LinearLayout>

    </ScrollView>


    <TextView
        android:id="@+id/tv_administration"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginHorizontal="40dp"
        android:layout_marginVertical="20dp"
        android:background="@color/theme_color"
        android:gravity="center"
        android:text="@string/manage_uppercase"
        android:textColor="@color/white"
        android:textSize="19sp"
        android:textStyle="bold" />
</LinearLayout>